<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Vector4 Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#14ced50f2a18dd194c3d95d7d031c5dd">dotProduct</a>(const Vector4 &amp;vec) const </td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#bc543c3d85c79acd14dcc530584d1d65">operator *</a>(const Real fScalar) const </td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#df1eb823c5225d8f24ced8a8bad10a84">operator *</a>(const Vector4 &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#691bcd13bad0bf3709ddb010cf57d822">operator *</a>(const Real fScalar, const Vector4 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#df84c66492823f9c7a609133cf7ebfb1">operator *=</a>(const Real fScalar)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#ed2924604df2a820a6208a85522c0eed">operator *=</a>(const Vector4 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#0aa33b3bb9f3b8b8ef7037eaf43bedc8">operator!=</a>(const Vector4 &amp;rkVector) const </td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#0b8c03743d6b8f72149f914f03998689">operator+</a>(const Vector4 &amp;rkVector) const </td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#785f4ea68705fdcca1dca8f09d4e1525">operator+</a>() const </td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#28efcff06858b5011bbc4250230539f0">operator+</a>(const Vector4 &amp;lhs, const Real rhs)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#4ec63fee2f096c1e845076797d1e140a">operator+</a>(const Real lhs, const Vector4 &amp;rhs)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#da0bb188b87a7187e49e9acfa4994a7f">operator+=</a>(const Vector4 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#37efa8bb4db9148fb43c8238b21c1906">operator+=</a>(const Real fScalar)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#78b1555cd0ea1bcd609086003444e614">operator-</a>(const Vector4 &amp;rkVector) const </td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#2123966b60d70dd14e7d165cbb47dba8">operator-</a>() const </td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#3b9ce3e33b491148161ac0e4116e709a">operator-</a>(const Vector4 &amp;lhs, Real rhs)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#e2c5e61fcb0521bdea9c8d70069742f9">operator-</a>(const Real lhs, const Vector4 &amp;rhs)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#cc233206a14cef454dd0d9428848ebfc">operator-=</a>(const Vector4 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#8a23c96373a8d8163ea5b7819f2b22f3">operator-=</a>(const Real fScalar)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#fd54901fd7d3379584d0abd73a455518">operator/</a>(const Real fScalar) const </td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#50d14c785b00d8afbd124ffd0e9f0df5">operator/</a>(const Vector4 &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#2dd10da814b39dc369ac4f96d0055a54">operator/</a>(const Real fScalar, const Vector4 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#0c4b23241a97373da79afc6c993e1370">operator/=</a>(const Real fScalar)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#4c4def28bfaf96a3326747d2ef2ed08f">operator/=</a>(const Vector4 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#7f9291e487a6dd6abdc8cc6325751cc3">operator&lt;&lt;</a>(std::ostream &amp;o, const Vector4 &amp;v)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#465dfb677017e546628f87470d6dbcd6">operator=</a>(const Vector4 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#69daa0f94cfeb2c725521b1672204bf7">operator=</a>(const Real fScalar)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#59f17a6c7980f16a571f535b2c47a8fc">operator=</a>(const Vector3 &amp;rhs)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#e7f48d8e2036594f4d65e2dca9fe286a">operator==</a>(const Vector4 &amp;rkVector) const </td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#a55187a08d385c6c367cc16338ad23ce">operator[]</a>(const size_t i) const </td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#96b4c5c76a199850c8c4e61be0feed7d">operator[]</a>(const size_t i)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#e8a0fc61bcae1449c843b3c5430cef1f">ptr</a>()</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#641d847ad0e066e213db1e1dadf43cee">ptr</a>() const </td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#e4417c4a3d52ee6fafd4a9103343958c">Vector4</a>()</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#75b3e58bb0eccad1c21b68958a33a9fc">Vector4</a>(const Real fX, const Real fY, const Real fZ, const Real fW)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#2e8dae854a7801e2aaa97bbed0b27374">Vector4</a>(const Real afCoordinate[4])</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#7da09ff768d847f015f3b1b9830a8043">Vector4</a>(const int afCoordinate[4])</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#9d6cc1b910cf8d738b306995f3b442d4">Vector4</a>(Real *const r)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#da9aac749e3d93a83a0e1bb67f3a091f">Vector4</a>(const Real scaler)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#019e80f62dd12ea37b27b2d2a05aed64">Vector4</a>(const Vector3 &amp;rhs)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#4666b1e5c544038aaaf852ab2f200718">Vector4</a>(const Vector4 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#601896b4f2f5be1d7ccd0ee4a0500237">w</a></td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#c1f14b711795b4d13140e992d9a3e6cf">x</a></td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#4a55a790632b60df0f536efa68de3bfa">y</a></td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#389cf99ed365e8ec1d823c0a0cf52da3">z</a></td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector4.html#6094638aa9e67551258f70f113d805d9">ZERO</a></td><td><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td><td><code> [static]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:07 2008
</p>
</body>
</html>
